Bug 428491 - /proc/acpi/alarm can't be disabled, computer boots automatically
/proc/acpi/alarm can't be disabled, computer boots automatically
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 20:53 EST by Ferdinand
Modified: 2008-11-29 18:54 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-29 18:54:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ferdinand 2008-01-11 20:53:44 EST
Description of problem:
After installing f8 I noticed my pc booting up by itself at the same time every
day. When I found out about /proc/acpi/alarm I tried to disable it with echo 0 >
/proc/acpi/alarm, but that didn't work. It messed with the bios clock and didn't
stop the problem. If I shut down from f8 my pc will boot up again at midnight,
if I shutdown from another OS it stays off.

Version-Release number of selected component (if applicable):
2.6.23.9-85.fc8

Additional info:
I assume this is somehow specific to my hardware (MSI-6728), so I'd like some
further pointers on how to investigate this, to help fix it.

This auto-booting also happened for a while on f7, while the kernel had the rtc
patch (it moved the alarm to /sys/class/rtc/rtc0/wakealarm), which was reverted
before I filed a bug.
Comment 1 Chuck Ebbert 2008-01-17 19:21:56 EST
Can you try:

  echo "2008-01-00 00:00:00" >/proc/acpi/alarm

Comment 2 Ferdinand 2008-01-19 07:25:47 EST
Thanks for your suggestion, but it woke up again.
Comment 3 Bug Zapper 2008-11-26 04:24:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Ferdinand 2008-11-29 18:54:08 EST
I think this has been fixed upstream during f9. I don't know when because I had a workaround in place. The bug was still there when fedora 9 came out.

I'll close it, optimistically assuming it's really gone.

Note You need to log in before you can comment on or make changes to this bug.